Launch the onboarding task
curl --request POST \
--url https://api.runaether.dev/profile/onboarding/launch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"pr_review_respond_to_comments_enabled": true,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>"
}
'import requests
url = "https://api.runaether.dev/profile/onboarding/launch"
payload = {
"model": "<string>",
"pr_review_respond_to_comments_enabled": True,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
pr_review_respond_to_comments_enabled: true,
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
prompt: '<string>'
})
};
fetch('https://api.runaether.dev/profile/onboarding/launch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"already_launched": true,
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Profile
Launch the onboarding task
Idempotently creates the user’s first task and completes onboarding in one transaction. Repeat calls return the already-launched task.
POST
/
profile
/
onboarding
/
launch
Launch the onboarding task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
codex, claude-code, opencode, cursor Available options:
default, plan Minimum string length:
1Available options:
disabled, on_pr_created Minimum string length:
1⌘I